class Employee:
    def __init__(self, employee_id, first_name, last_name, job_title, salary, hire_date, department_name, address, postal_code, city, country):
        self.employee_id = int(employee_id)
        self.first_name = first_name
        self.last_name = last_name
        self.job_title = job_title
        self.salary = int(salary)
        self.hire_date = hire_date
        self.department_name = department_name
        self.address = address
        self.postal_code = postal_code
        self.city = city
        self.country = country


    def __str__(self):
        return f'Pracownik nr {self.employee_id}: {self.first_name} {self.last_name} ({self.job_title}), pensja {self.salary}'


def read_csv(file_path='emps.csv'):
    with open(file_path, mode='r', encoding='utf-8') as file:
        file.readline()
        return [Employee(*(line.strip().split(';'))) for line in file]


def write_csv(emps, sciezka):
    with open(sciezka, mode='w', encoding='utf-8') as plik:
        plik.write('employee_id;first_name;last_name;job_title;salary;hire_date;department_name;address;postal_code;city;country\n')
        for emp in emps:
            print(emp.employee_id, emp.first_name, emp.last_name, emp.job_title, emp.salary,
                  emp.hire_date, emp.department_name, emp.address, emp.postal_code, emp.city, emp.country,
                  sep=';', file=plik)
